Changeset 14716


Ignorieren:
Zeitstempel:
07.06.2018 14:34:24 (vor 2 Monaten)
Autor:
er13
Nachricht:

strace: bump version to 4.22 (by f_666)

https://raw.githubusercontent.com/strace/strace/v4.22/NEWS

closes #2958

Ort:
trunk
Dateien:
3 hinzugefügt
3 bearbeitet
2 kopiert
2 verschoben

Legende:

Unverändert
Hinzugefügt
Entfernt
  • trunk/CHANGELOG

    r14715 r14716  
    188188    * sqlite 3.23.1 
    189189    * sslh 1.18 
    190     * strace 4.8 
     190    * strace 4.8/4.22 
    191191    * stunnel 5.46 
    192192    * subversion 1.8.19/1.9.7 
  • trunk/make/strace/Config.in

    r11055 r14716  
    11config FREETZ_PACKAGE_STRACE 
    2     bool "strace 4.8 (binary only)" 
     2    bool "strace 4.22/4.8 (binary only)" 
    33    default n 
    44    select FREETZ_REMOVE_STRACE if FREETZ_AVM_HAS_STRACE 
  • trunk/make/strace/patches/4.22/010-disabled-largefile-syscalls.patch

    r14715 r14716  
    11--- syscall.c 
    22+++ syscall.c 
    3 @@ -116,6 +116,18 @@ 
    4  #define NF SYSCALL_NEVER_FAILS 
    5  #define MA MAX_ARGS 
     3@@ -69,6 +69,18 @@ 
     4  
     5 #define SEN(syscall_name) SEN_ ## syscall_name, SYS_FUNC_NAME(sys_ ## syscall_name) 
    66  
    77+#if !defined(HAVE_STATFS64) 
  • trunk/make/strace/patches/4.22/020-no_WSTOPPED_in_uClibc-0.9.28.patch

    r14715 r14716  
    11--- strace.c 
    22+++ strace.c 
    3 @@ -1165,7 +1165,11 @@ 
     3@@ -1394,7 +1394,11 @@ 
    44            if (!NOMMU_SYSTEM) { 
    55                /* Wait until child stopped itself */ 
  • trunk/make/strace/strace.mk

    r11648 r14716  
    1 $(call PKG_INIT_BIN, 4.8) 
     1# 
     2# recent versions of strace do not support older kernel versions anymore, 
     3# that's the reason we have to stick to an older strace version for kernel versions 2.6.13 & 2.6.19 
     4# 
     5$(call PKG_INIT_BIN, $(if $(FREETZ_KERNEL_VERSION_2_6_19_MAX),4.8,4.22)) 
    26$(PKG)_SOURCE:=$(pkg)-$($(PKG)_VERSION).tar.xz 
    3 $(PKG)_SOURCE_MD5:=c575ef43829586801f514fd91bfe7575 
    4 $(PKG)_SITE:=@SF/$(pkg) 
     7$(PKG)_SOURCE_MD5_4.8 :=c575ef43829586801f514fd91bfe7575 
     8$(PKG)_SOURCE_MD5_4.22:=7a2a7d7715da6e6834bc65bd09bace1c 
     9$(PKG)_SOURCE_MD5:=$($(PKG)_SOURCE_MD5_$($(PKG)_VERSION)) 
     10$(PKG)_SITE:=@SF/$(pkg),https://strace.io/files/$($(PKG)_VERSION) 
     11 
     12$(PKG)_CONDITIONAL_PATCHES+=$($(PKG)_VERSION) 
    513 
    614$(PKG)_BINARY:=$($(PKG)_DIR)/strace 
Hinweis: Hilfe zur Verwendung der Changeset-Ansicht finden Sie unter TracChangeset.